//===========================================================================
//
// Name:		krusty2_c.c
// Function:	chat for krusty2
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// Author:		David Coen fish_dsc@yahoo.co.uk, verbatem from "The Simsons" 
// Editor:		
// Last update:		1/5/01
// Tab Size:		4 (real tabs)
//===========================================================================

chat "krusty2"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{
		"Hey Kids! Who do you love? How much do you love me? What would you do if I Went off air?";
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Well, I'm not leaving 'til I get paid, I get five hundred just for 'Hey hey'!";
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"I'm krusty the Clown and I'm going to kill you!";
		"If this is anyone but steve allen, you're stealing my bit";
		// 0 = bot name
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"We've had lots and lots oan lots and lots of fun, but now the time has come to go";
		"If this old clown was found dead in his bed tomorrow, I'd be in heaven still doing this show";
		// 0 = bot name
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Due to the voluminous amounts of mail that krusty recieves, he is unable to answer your question. Keep watching, Kids!";
		"Keep watching, kids!";
		"I pleed guilty your Honor... Uh,... I Mean, not guilty. Opening night jitters, your honor";
		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"First of all, my real name isn't Krusty the Clown, It's Herschel Krustofski";
		"Will drop pants for food";
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Free comedy tip slick: DON'T SHOOT ME WHILE I'M TYPING";
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Give me a bigger lolly!";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Ahh, there's nothing better than a cigarette... unless it's a cigarette lit with a 100 bill!";		
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"angry, angry young man";
		"HEY!";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"Would it really be worth living in a world without television?";
		"What would you do if I went off air?";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Krusty hot line 1-909-O-U-KLOWN";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"Oh, I can't die! I got a swanky lifestyle!";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Not beer. can't. reach. surface. lossing. conciousness";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"Awww CRAP!";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"angry, angry young man";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"Free comedy tip ", 0, ", the rail gag is only funny when the sap's got dignity";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"Give me a bigger gun!";
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"I said I'm going to kill you! You, ", 0, "!";
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"Thirty-five years in the show business and already no one remebers me.";
		"Give a hoot! Read a book!";
		"Level Krusty is built on an actual Indian burial ground. We've got archery, wallet making, the whole megillah.";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Hey ", 0, ", rail job for Lord Autumn bottom, there!";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"it's the Gauntlet and Shotgun Show";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"But you gotta come back, ", 0, ",-we're a team!";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self with a weapon of craters
	{
		"And for you fat ", 0, "'s, my exclusive program of diet and ridicule will really get results";
		"The krusty home pregnacy test. Warning, may cause birth defects";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"The krusty home pregnacy test. Warning, may cause birth defects";
		"Now Kids, we all know that sometimes when cartoon characters die, they're back again the very next week";
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"Due to the voluminous amounts of mail that krusty recieves, he is unable to answer your question. Keep watching, Kids!";
		"Oh, don't worry about it ", 0, ". You're just finished, that's all.. it happens all the time";
		"That's show business for you.";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"I said, I'm going to kill you!";
		"And for you fat kids, my exclusive program of diet and ridicule will really get results";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"My father was a rabbi";
		"What would you do if i went off air?";
		"Wow! They'll never let us show that again, not in a million years";
		"Give a hoot! Read a book!";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end Girl chat







